-- 學校基本資料
CREATE TABLE `clc_base_school` (
  `school_sn` mediumint(8) UNSIGNED NOT NULL AUTO_INCREMENT,
  `school_number` smallint(6) NOT NULL,
  `school_name` varchar(200) NOT NULL,
  `school_name_short` varchar(100) NOT NULL,
  `school_name_english` varchar(200) NOT NULL,
  `school_phone` varchar(100) NOT NULL,
  `school_fax` varchar(100) NOT NULL,
  `school_url` varchar(100) NOT NULL,
  `school_address` varchar(200) NOT NULL,
  `school_online` varchar(20) NOT NULL,
  PRIMARY KEY (`school_sn`),
  UNIQUE KEY `school_name_school_number` (`school_name`,`school_number`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 學校層級
CREATE TABLE `clc_base_school_level` (
  `school_level_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `school_level_number` smallint(6) NOT NULL,
  `school_level_name` varchar(200) NOT NULL,
  `school_level_online` varchar(20) NOT NULL,
  PRIMARY KEY (`school_level_sn`),
  UNIQUE KEY `school_level_number_school_level_name` (`school_level_number`,`school_level_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 學年度
CREATE TABLE `clc_base_academic_year` (
  `academic_year_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `academic_year_number` smallint(6) NOT NULL,
  `academic_year_name` varchar(200) NOT NULL,
  `academic_year_online` varchar(20) NOT NULL,
  PRIMARY KEY (`academic_year_sn`),
  UNIQUE KEY `academic_year_number_academic_year_name` (`academic_year_number`,`academic_year_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 學期
CREATE TABLE `clc_base_academic_term` (
  `academic_term_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `academic_term_number` smallint(6) NOT NULL,
  `academic_term_name` varchar(200) NOT NULL,
  `academic_term_online` varchar(20) NOT NULL,
  `academic_term_classtime` varchar(20) NOT NULL,
  PRIMARY KEY (`academic_term_sn`),
  UNIQUE KEY `academic_term_number_academic_term_name` (`academic_term_number`,`academic_term_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 星期
CREATE TABLE `clc_base_week` (
  `week_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `week_order` smallint(6) NOT NULL,
  `week_number` smallint(6) NOT NULL,
  `week_name` varchar(100) NOT NULL,
  `week_online` varchar(20) NOT NULL,
  PRIMARY KEY (`week_sn`),
  UNIQUE KEY `week_name` (`week_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


-- 節次
CREATE TABLE `clc_base_section` (
  `section_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `section_order` smallint(6) NOT NULL,
  `section_number` smallint(6) NOT NULL,
  `section_name` varchar(100) NOT NULL,
  `section_online` varchar(20) NOT NULL,
  PRIMARY KEY (`section_sn`),
  UNIQUE KEY `section_name` (`section_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;